#ifndef __LINK_H__
#define __LINK_H__

#define	LINK_WhiteWrite_port	PORTB
#define	LINK_WhiteWrite_bit		3
#define	LINK_RedWrite_port		PORTB
#define	LINK_RedWrite_bit		2
#define	LINK_WhiteRead_port		PINB
#define	LINK_WhiteRead_bit		1
#define	LINK_RedRead_port		PINB
#define LINK_RedRead_bit		0

//	Diese Werte sollten nicht verringert werden, ansonsten kann es zu Fehlern in der Datenbertragung kommen!
#define	LINK_TXDelay_us			500	//	Default: 500
#define	LINK_RXDelay_us			100	//	Default: 100

//	Funktionen
extern void putv200(unsigned char byte);
extern unsigned char getv200();
extern char getack();
extern void putack();
extern char getcts();
extern void puteot();
extern void remote_control(const char msb, const char lsb);
extern void print(const char *str);
extern char loadapp();
extern char listfiles();

#endif
