#ifndef __MAIN_H__
#define __MAIN_H__

//	AVR luft mit 1MHz (Werkseinstellung, interner RC_Oszillator)
#define F_CPU 1000000UL

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <util/delay.h>

#include "i2c.h"
#include "link.h"

//	Strings
extern const prog_char hello[];

//	Bool
#define true 1
#define false 0

//	Bit setzen/lschen
#define set_bit(var, bit) ((var) |= (1 << (bit)))
#define clear_bit(var, bit) ((var) &= (unsigned)~(1 << (bit)))

#endif
